Page MenuHomePhabricator

rack/setup/install frdb1003.frack.eqiad.wmnet
Closed, ResolvedPublic

Description

  • - receive in system on procurement task T236920
  • - rack system in frack.
  • - bios/drac/serial setup/testing
  • - raid10 of all 6 SSDs created
  • - mgmt dns entries added for hostname (fqdn is frdb1003.frack.eqiad.wmnet)
  • - network port setup (description, enable, vlan) - attach two network ports, one to each asw, ports assigned to frack-eqiad-fundraising vlan.
    • end on-site specific steps - handoff to Fundraising for remainder as they use their own puppet master.
  • - production dns entries added - (ip 10.64.40.118 / fqdn frdb1003.frack.eqiad.wmnet)
  • - OS installation
  • - interface bond0 configured
  • - host state in netbox set to staged
  • - clone database and configure replication
  • - configure icinga monitoring
  • - service deployment
  • - service implementer changes from 'staged' status to 'active' status in netbox'

DRAC Setup Info

The drac network and login settings are different on frack than production. Please setup the network with the following details:

IP: 10.64.40.219
Netmask: 255.255.255.192
Gateway: 10.64.40.193

The root password for drac is different. Please check the password store, and if you still cannot access it, use the production idrac password and ping @RobH (or @Jgreen) to login and change it to the frack idrac password.

Details

Related Gerrit Patches:
operations/puppet : productionAdding new host frdb1003 to monitoring
operations/dns : masterchange frdb1003's IP from 10.64.40.100 to 10.64.40.118
operations/dns : masteradd frdb1003.frack.eqiad.wmnet
operations/dns : masterfrdb1003 mgmt entry

Event Timeline

RobH triaged this task as Medium priority.Nov 25 2019, 5:43 PM
RobH created this task.
Restricted Application added a project: Operations. · View Herald TranscriptNov 25 2019, 5:43 PM
RobH added a parent task: Unknown Object (Task).Nov 25 2019, 5:44 PM

@Jgreen: Can you provide the hostname and network info for these? I think we want to have the network ports, one each, plugged into the fasw (so the single server has network redundancy).

Please review the above checklist and update as needed!

Jgreen updated the task description. (Show Details)Nov 25 2019, 5:56 PM
Jgreen updated the task description. (Show Details)
Jgreen updated the task description. (Show Details)Nov 25 2019, 6:00 PM

@Jgreen: Can you provide the hostname and network info for these? I think we want to have the network ports, one each, plugged into the fasw (so the single server has network redundancy).
Please review the above checklist and update as needed!

Done! Would it be possible to get this racked and cabled ASAP so we're not moving things around in that rack during December's fundraising activity?

RobH renamed this task from rack/setup/install fundraising db system to (Need By: IMMEDIATE) rack/setup/install frdb1003.eqiad.wmnet.Nov 25 2019, 6:05 PM
RobH renamed this task from (Need By: IMMEDIATE) rack/setup/install frdb1003.eqiad.wmnet to (ESCALATED Need By: 11/26/19) rack/setup/install frdb1003.eqiad.wmnet.
RobH raised the priority of this task from Medium to High.
RobH moved this task from Backlog to Racking Tasks on the ops-eqiad board.
RobH updated the task description. (Show Details)Nov 25 2019, 6:13 PM
RobH updated the task description. (Show Details)

Change 552868 had a related patch set uploaded (by RobH; owner: RobH):
[operations/dns@master] frdb1003 mgmt entry

https://gerrit.wikimedia.org/r/552868

Change 552868 merged by RobH:
[operations/dns@master] frdb1003 mgmt entry

https://gerrit.wikimedia.org/r/552868

@Jgreen - I gave @Jclark-ctr a heads up on this, so he'll starting working on it, when he gets in a bit later today. Thanks, Willy

@Jgreen - I gave @Jclark-ctr a heads up on this, so he'll starting working on it, when he gets in a bit later today. Thanks, Willy

Cool, can he ping me or Dallas in IRC before he starts? There's some concern in FR about the risk of disruption since we're officially in code freeze, and I need to make sure we're clear with them before we do any install work in the cabinet.

Jclark-ctr updated the task description. (Show Details)Nov 25 2019, 9:18 PM

Racked Server

Connected to port 26 on fasw-c1a & fasw-c2a

Entered production idrac password @Jgreen @RobH

Jclark-ctr updated the task description. (Show Details)Nov 25 2019, 9:40 PM

Change 552899 had a related patch set uploaded (by Jgreen; owner: Jgreen):
[operations/dns@master] add frdb1003.frack.eqiad.wmnet

https://gerrit.wikimedia.org/r/552899

RobH added a comment.EditedNov 25 2019, 10:08 PM

Racked Server
Connected to port 26 on fasw-c1a & fasw-c2a
Entered production idrac password @Jgreen @RobH

robh@fasw-c-eqiad# show | compare 
[edit interfaces interface-range vlan-fundraising]
     member "ge-[0-1]/0/12" { ... }
+    member ge-0/0/26;
+    member ge-1/0/26;
[edit interfaces]
+   ge-0/0/26 {
+       description frdb1003:eth0;
+   }
+   ge-1/0/26 {
+       description frdb1003:eth1;
+   }

{master:0}[edit]
robh@fasw-c-eqiad# commit comment T239139

Network port setup complete.

RobH added a comment.Nov 25 2019, 10:10 PM

forgot to remove from disabled group:

robh@fasw-c-eqiad# show | compare 
[edit interfaces interface-range disabled]
-    member ge-1/0/26;
-    member ge-0/0/26;

{master:0}[edit]
robh@fasw-c-eqiad# commit

Change 552899 merged by Jgreen:
[operations/dns@master] add frdb1003.frack.eqiad.wmnet

https://gerrit.wikimedia.org/r/552899

Jgreen updated the task description. (Show Details)Nov 25 2019, 10:13 PM
RobH updated the task description. (Show Details)Nov 25 2019, 10:15 PM
RobH reassigned this task from Jclark-ctr to Jgreen.Nov 25 2019, 10:39 PM
RobH removed a project: Patch-For-Review.
RobH updated the task description. (Show Details)
RobH added a subscriber: Jclark-ctr.
Jgreen updated the task description. (Show Details)Nov 27 2019, 7:30 PM

changed the IP from 10.64.40.100 to 10.64.40.118

Change 553399 had a related patch set uploaded (by Jgreen; owner: Jgreen):
[operations/dns@master] change frdb1003's IP from 10.64.40.100 to 10.64.40.118

https://gerrit.wikimedia.org/r/553399

Change 553399 merged by Jgreen:
[operations/dns@master] change frdb1003's IP from 10.64.40.100 to 10.64.40.118

https://gerrit.wikimedia.org/r/553399

Jgreen updated the task description. (Show Details)Nov 27 2019, 7:36 PM
Jgreen closed this task as Resolved.Dec 6 2019, 4:44 PM
Jgreen renamed this task from (ESCALATED Need By: 11/26/19) rack/setup/install frdb1003.eqiad.wmnet to rack/setup/install frdb1003.eqiad.wmnet.Dec 6 2019, 7:43 PM
Jgreen reopened this task as Open.
Jgreen lowered the priority of this task from High to Medium.
Jgreen updated the task description. (Show Details)
Jgreen moved this task from Triage to In Progress on the fundraising-tech-ops board.
Jgreen renamed this task from rack/setup/install frdb1003.eqiad.wmnet to rack/setup/install frdb1003.frack.eqiad.wmnet.Dec 6 2019, 7:47 PM

Change 555614 had a related patch set uploaded (by Dwisehaupt; owner: Dwisehaupt):
[operations/puppet@production] Adding new host frdb1003 to monitoring

https://gerrit.wikimedia.org/r/555614

Change 555614 merged by Dzahn:
[operations/puppet@production] Adding new host frdb1003 to monitoring

https://gerrit.wikimedia.org/r/555614

Dwisehaupt updated the task description. (Show Details)Dec 6 2019, 10:27 PM
Dzahn removed a subscriber: Dzahn.Dec 7 2019, 7:08 PM
Jgreen closed this task as Resolved.Dec 9 2019, 3:00 PM
Jgreen updated the task description. (Show Details)

Done!

Jgreen removed a parent task: Unknown Object (Task).Jan 8 2020, 7:02 PM
Jgreen added a subtask: Unknown Object (Task).
Jgreen moved this task from In Progress to Done on the fundraising-tech-ops board.Thu, Feb 13, 7:37 PM